Subject: Re: [PATCH 04/16] printk: implement support for extended console drivers

From: Petr Mladek <[email-masked]>
Date: Tue, 28 Apr 2015 16:24:13 +0200

On Tue 2015-04-28 10:10:14, Tejun Heo wrote:
> Hello, Petr.
> 
> On Tue, Apr 28, 2015 at 11:42:44AM +0200, Petr Mladek wrote:
> > Note that cont buffer is only a memory optimization. You could put
> > every text snippet into the ring buffer and console immediately.
> > You need to set LOG_CONT instead of LOG_NEWLINE flag. This is
> > already used when the line is too long for the cont buffer or
> > when there is printed a message from another cpu in the middle
> > of a continuing message.
> 
> Yeah, hmmm, I wonder whether the right solution here is to bypass cont
> buffer if ext_console is present.  This would use a bit more memory
> and hurt users catting /proc/kmsg but everyone else should be able to
> get the same result and things get a lot simpler on both sending and
> receiving sides.  What do you think?

I would personally give it a try. If it works well, we might
eventually get rid of the cont buffer completely and make
the printk code a bit easier again.

Best Regards,
Petr